Resource

On-Call Duty Execution Log Timeline

Timeline events for on-call duty policy execution log.

The On-Call Duty Execution Log Timeline Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to on-call duty policy Resource in which this object belongs

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your Status200 on-call duty policy in which this object belongs

  • Name
    triggeredByIncident
    Type
    Incident
    Description

    Relation to Incident Resource in which this object belongs

  • Name
    triggeredByIncidentId
    Type
    Object ID
    Description

    ID of your Status200 Incident in which this object belongs

  • Name
    triggeredByAlert
    Type
    Alert
    Description

    Relation to Alert Resource in which this object belongs

  • Name
    triggeredByAlertId
    Type
    Object ID
    Description

    ID of your Status200 Alert in which this object belongs

  • Name
    triggeredByAlertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode Resource in which this object belongs

  • Name
    triggeredByAlertEpisodeId
    Type
    Object ID
    Description

    ID of your Status200 Alert Episode in which this object belongs

  • Name
    triggeredByIncidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode Resource in which this object belongs

  • Name
    triggeredByIncidentEpisodeId
    Type
    Object ID
    Description

    ID of your Status200 Incident Episode in which this object belongs

  • Name
    onCallDutyPolicyExecutionLog
    Type
    On-Call Duty Execution Log
    Description

    Relation to On-Call Policy Execution Log where this timeline event belongs.

  • Name
    onCallDutyPolicyExecutionLogId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Execution Log where this timeline event belongs.

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    Relation to On-Call Policy Escalation Rule where this timeline event belongs.

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Escalation Rule where this timeline event belongs.

  • Name
    alertSentToUser
    Type
    User
    Description

    Relation to User who we sent alert to.

  • Name
    userNotificationEventType
    Type
    TextRequired
    Description

    Type of event that triggered this on-call duty policy.

  • Name
    alertSentToUserId
    Type
    Object ID
    Description

    ID of the user who we sent alert to.

  • Name
    userBelongsToTeam
    Type
    Team
    Description

    Which team did the user belong to when the alert was sent?

  • Name
    userBelongsToTeamId
    Type
    Object ID
    Description

    Which team ID did the user belong to when the alert was sent?

  • Name
    onCallDutySchedule
    Type
    On-Call Policy Schedule
    Description

    Which schedule did the user belong to when the alert was sent?

  • Name
    onCallDutyScheduleId
    Type
    Object ID
    Description

    Which schedule ID did the user belong to when the alert was sent?

  • Name
    statusMessage
    Type
    Long TextRequired
    Description

    Status message of this execution timeline event

  • Name
    status
    Type
    TextRequired
    Description

    Status of this execution timeline event

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isAcknowledged
    Type
    Boolean
    Description

  • Name
    acknowledgedAt
    Type
    Date
    Description

  • Name
    overridedByUser
    Type
    User
    Description

    Relation to User who overrode this alert

  • Name
    overridedByUserId
    Type
    Object ID
    Description

    User ID who overrode this alert

GETorPOST/api/on-call-duty-policy-execution-log-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Duty Execution Log Timeline. By default, a maximum of ten On-Call Duty Execution Log Timeline are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-execution-log-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "status": true
  },
  "query": {
    "status": "Example status"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3776c1d0-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "3776c1d1-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "3776c1d2-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-execution-log-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Duty Execution Log Timeline by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-execution-log-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyId": true,
    "projectId": true,
    "status": true
  }
}

Response

{
  "_id": "3776c1d0-28fe-11f1-b591-3fdcef396aba",
  "onCallDutyPolicyEscalationRuleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyExecutionLogId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
POST/api/on-call-duty-policy-execution-log-timeline/count

Count

This endpoint allows you to retrieve the count of all your On-Call Duty Execution Log Timeline.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-execution-log-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Duty Execution Log Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy Execution Log Timeline
  • Read All Project Resources

Create Permissions

Required to create On-Call Duty Execution Log Timeline

This resource cannot be created via the API

Update Permissions

Required to update On-Call Duty Execution Log Timeline

This resource cannot be updated via the API

Delete Permissions

Required to delete On-Call Duty Execution Log Timeline

This resource cannot be deleted via the API